Sort issue custom fields by position in tracker Ul

2018-03-21 14:40 - Gregor Schmidt

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Custom fields Estimated time: 0.00 hour
Target version: 3.3.7

Resolution: Fixed Affected version:

Description

When configuring issue custom fields for a single tracker, the custom fields are order by creation date. Instead they should be

ordered by their position.

Attached you may find a patch, implementing the desired behavior. Furthermore, it's changing the line IssueCustomField.all.sort to
IssueCustomField.sorted in the TrackersController. The latter will sort the records within the DB, which should be slightly faster.

Associated revisions

Revision 17237 - 2018-03-25 11:49 - Go MAEDA

Fix: Sort issue custom fields by position in tracker views (#28393).

Patch by Gregor Schmidt.

Revision 17238 - 2018-03-25 11:52 - Go MAEDA
Merged r17237 from trunk to 3.4-stable (#28393).
Patch by Gregor Schmidt.

Revision 17239 - 2018-03-25 11:53 - Go MAEDA
Merged r17237 from trunk to 3.3-stable (#28393).

Patch by Gregor Schmidt.

History

#1 - 2018-03-21 15:13 - Go MAEDA

- File custom-fields@2x.png added

- File before@2x.png added

- File after@2x.png added

- Tracker changed from Feature to Defect
- Status changed from New to Confirmed

- Target version set to 3.3.7

Confirmed this issue. Setting target version to 3.3.7.
Custom fields:

Custom fields

Issues
Name Format Required
Searchable field Text
Database List
Float field Float
Custom date Date
Project 1 cf Date

& New custom field

For all projects Used by
v 3 Delete
v 4 Delete
7 3 Delete
4 3 Delete
1 project 8 Delete

2025-05-17
Before:

Trackers » Bug

Issues displayed in
roadmap

Standard fields

Custom fields

0000 OB

Name * pgyg

Default status * New

Assignee
Category
Target version
Parent task
Start date

Due date
Estimated time
% Done
Description

Database
Searchable field
Float field
Custom date
Project 1 cf

Projects

eCookbook
Private child of eCookbook
Child of private child
eCookbook Subproject 1
eCookbook Subproject 2
OnlineStore

Check all | Uncheck all

After:

Trackers » Bug

Issues displayed in
roadmap

Standard fields

Custom fields

0000 OO0 E

Name * pgyg

Default status * New

Assignee
Category
Target version
Parent task
Start date

Due date
Estimated time
% Done
Description

Searchable field
Database

Float field
Custom date
Project 1 cf

Projects

eCookbook
Private child of eCookbook
Child of private child
eCookbook Subproject 1
eCookbook Subproject 2
OnlineStore

Check all | Uncheck all

#2 - 2018-03-25 11:54 - Go MAEDA

- Status changed from Confirmed to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch to the trunk and merged to stable branches. Thank you for the fix.
